Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text.html
Class HTMLWriter

    java.lang.Object
      |
      +--javax.swing.text.AbstractWriter
            |
            +--javax.swing.text.html.HTMLWriter

public class HTMLWriter
extends AbstractWriter

This is a writer for HTMLDocuments.

Fields inherited from class javax.swing.text.AbstractWriter
`NEWLINE`

Constructor Summary
`HTMLWriter(java.io.Writer w, HTMLDocument doc)` Creates a new HTMLWriter.
`HTMLWriter(java.io.Writer w, HTMLDocument doc, int pos, int len)` Creates a new HTMLWriter.

Method Summary
`protected void` | `closeOutUnwantedEmbeddedTags(AttributeSet attr)` This method searches the attribute set and for each tag that is stored in the tag vector.
`protected void` | `comment(Element elem)` Writes out comments.
`protected void` | `emptyTag(Element elem)` Writes out all empty elements i.e tags that have no corresponding end tag.
`protected void` | `endTag(Element elem)` Writes out an end tag for the element.
`protected boolean` | `isBlockTag(AttributeSet attr)` Determines if the HTML.Tag associated with the element is a block tag.
`protected boolean` | `matchNameAttribute(AttributeSet attr, HTML.Tag tag)` This method return true if the StyleConstants.NameAttribute is equal to the tag that is passed in as a parameter.
`protected void` | `selectContent(AttributeSet attr)` Writes out the content of the SELECT form element.
`protected void` | `startTag(Element elem)` Writes out a start tag for the element.
`protected boolean` | `synthesizedElement(Element elem)` This method returns true, if the element is a synthesized element.
`protected void` | `text(Element elem)` Writes out text.
`protected void` | `textAreaContent(AttributeSet attr)` Writes out text that is contained in a TEXTAREA form element.
`void` | `write()` This is method that iterates over the the Element tree and controls the writing out of all the tags and its attributes.
`protected void` | `write(java.lang.String content)` Writes out a string.
`protected void` | `writeAttributes(AttributeSet attr)` Writes out the attribute set.
`protected void` | `writeEmbeddedTags(AttributeSet attr)` This method searches for embedded tags in the AttributeSet and writes them out.
`protected void` | `writeOption(Option option)` Writes out the content of the Option form element.

Methods inherited from class javax.swing.text.AbstractWriter
`decrIndent, getDocument, getElementIterator, getText, incrIndent, indent, inRange, setIndentSpace, setLineLength, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTMLWriter

    public HTMLWriter(java.io.Writer w,
                      HTMLDocument doc)

  Creates a new HTMLWriter.
  Parameters:
    `a` - Writer
    `an` - HTMLDocument

### HTMLWriter

    public HTMLWriter(java.io.Writer w,
                      HTMLDocument doc,
                      int pos,
                      int len)

  Creates a new HTMLWriter.
  Parameters:
    `a` - Writer
    `an` - HTMLDocument
    `pos` - The location in the document to fetch the content.
    `len` - The amount to write out.

Method Detail

### write

    public void write()
               throws java.io.IOException,
                      BadLocationException

  This is method that iterates over the the Element tree and controls the writing out of all the tags and its attributes.
  Throws:
    java.io.IOException - on any I/O error
    BadLocationException - if pos represents an invalid location within the document.
  Overrides:
    write in class AbstractWriter

### writeAttributes

    protected void writeAttributes(AttributeSet attr)
                            throws java.io.IOException

  Writes out the attribute set. Ignores all attributes whose key is of type HTML.Tag.
  Parameters:
    `an` - AttributeSet.
  Throws:
    java.io.IOException - on any I/O error
  Overrides:
    writeAttributes in class AbstractWriter

### emptyTag

    protected void emptyTag(Element elem)
                     throws BadLocationException,
                            java.io.IOException

  Writes out all empty elements i.e tags that have no corresponding end tag.
  Parameters:
    `an` - Element.
  Throws:
    java.io.IOException - on any I/O error
    BadLocationException - if pos represents an invalid location within the document.

### isBlockTag

    protected boolean isBlockTag(AttributeSet attr)

  Determines if the HTML.Tag associated with the element is a block tag.
  Parameters:
    `AttributeSet.` -
  Returns:
    true if tag is block tag, false otherwise.

### startTag

    protected void startTag(Element elem)
                     throws java.io.IOException,
                            BadLocationException

  Writes out a start tag for the element. Ignores all synthesized elements.
  Parameters:
    `an` - Element.
  Throws:
    java.io.IOException - on any I/O error

### textAreaContent

    protected void textAreaContent(AttributeSet attr)
                            throws BadLocationException,
                                   java.io.IOException

  Writes out text that is contained in a TEXTAREA form element.
  Parameters:
    `AttributeSet` -
  Throws:
    java.io.IOException - on any I/O error
    BadLocationException - if pos represents an invalid location within the document.

### text

    protected void text(Element elem)
                 throws BadLocationException,
                        java.io.IOException

  Writes out text. If a range is specified when the constructor is invoked, then only the appropriate range of text is written out.
  Parameters:
    `an` - Element.
  Throws:
    java.io.IOException - on any I/O error
    BadLocationException - if pos represents an invalid location within the document.
  Overrides:
    text in class AbstractWriter

### write

    protected void write(java.lang.String content)
                  throws java.io.IOException

  Writes out a string. If writing the contents of a textarea, it handles the appropriate indentation for embedded new lines. Otherwise it invokes the superclass to handle the writing.
  Parameters:
    `String` - representing the content.
  Throws:
    java.io.IOException - on any I/O error
  Overrides:
    write in class AbstractWriter

### selectContent

    protected void selectContent(AttributeSet attr)
                          throws java.io.IOException

  Writes out the content of the SELECT form element.
  Parameters:
    `AttributeSet` - associcated with the form element.
  Throws:
    java.io.IOException - on any I/O error

### writeOption

    protected void writeOption(Option option)
                        throws java.io.IOException

  Writes out the content of the Option form element.
  Parameters:
    `Option.` -
  Throws:
    java.io.IOException - on any I/O error

### endTag

    protected void endTag(Element elem)
                   throws java.io.IOException

  Writes out an end tag for the element.
  Parameters:
    `an` - Element.
  Throws:
    java.io.IOException - on any I/O error

### comment

    protected void comment(Element elem)
                    throws BadLocationException,
                           java.io.IOException

  Writes out comments.
  Parameters:
    `an` - element.
  Throws:
    java.io.IOException - on any I/O error
    BadLocationException - if pos represents an invalid location within the document.

### synthesizedElement

    protected boolean synthesizedElement(Element elem)

  This method returns true, if the element is a synthesized element. Currently we are only testing for the p-implied tag.

### matchNameAttribute

    protected boolean matchNameAttribute(AttributeSet attr,
                                         HTML.Tag tag)

  This method return true if the StyleConstants.NameAttribute is equal to the tag that is passed in as a parameter.

### writeEmbeddedTags

    protected void writeEmbeddedTags(AttributeSet attr)
                              throws java.io.IOException

  This method searches for embedded tags in the AttributeSet and writes them out. It also stores these tags in a vector so that when appropriate the corresponding end tags can be written out.
  Throws:
    java.io.IOException - on any I/O error

### closeOutUnwantedEmbeddedTags

    protected void closeOutUnwantedEmbeddedTags(AttributeSet attr)
                                         throws java.io.IOException

  This method searches the attribute set and for each tag that is stored in the tag vector. If the tag isnt found, then the tag is removed from the vector and a corresponding end tag is written out.
  Throws:
    java.io.IOException - on any I/O error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.